﻿<UserControl x:Class="OrslavTeam.Revit.Steel.StairRun.UserControls.BottomSection.AngleByPlateControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:OrslavTeam.Revit.Steel.StairRun.UserControls.BottomSection"
             xmlns:controls="clr-namespace:OrslavTeam.WPFStyle.Style.Controls;assembly=OrslavTeam.WPFStyle.Style"
             mc:Ignorable="d" d:DesignHeight="350" d:DesignWidth="600">
    <UserControl.Resources>
        <ResourceDictionary Source="pack://application:,,,/OrslavTeam.WPFStyle.Style;component/WindowsStyle.xaml" />
    </UserControl.Resources>
    <controls:FlipGroupPanel>
        <controls:FlipGroupPanel.FrontContent>
            <Canvas Width="480" Height="280" Background="White">
                <Image Source="C:\ProgramData\Autodesk\Revit\Addins\2019\OTeam\res\Steel\StairRun\bottomSegment_type1.png"
                        Width="195" Canvas.Top="2" Canvas.Left="100" />
                <Button Width="100px" Canvas.Top="29" Canvas.Left="0" Command="{Binding SectionBottomSupportGetCommand}"
                        Content="{Binding SectionBottomSupportName}">
                </Button>

                <TextBox Style="{DynamicResource DimensionsInput}" Canvas.Left="131" Canvas.Top="244"
                        IsEnabled="{Binding SectionBottomSupportAnchorNeed, Mode=OneWay}"
                        Text="{Binding SectionBottomSupportAnchorDepthBinding, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" />
                <TextBox Style="{DynamicResource DimensionsInput}" Canvas.Left="285" Canvas.Top="169"
                        IsEnabled="{Binding SectionBottomSupportAnchorNeed, Mode=OneWay}"
                        Text="{Binding SectionBottomSupportAnchorWidthBinding, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" />

                <WrapPanel Orientation="Horizontal" Canvas.Right="0" Canvas.Bottom="0">
                    <ToggleButton
                            IsChecked="{Binding SectionBottomSupportAnchorNeed, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" />
                    <TextBlock Text="Отвір для болта" />
                </WrapPanel>
            </Canvas>
        </controls:FlipGroupPanel.FrontContent>
        <controls:FlipGroupPanel.BackContents>
            <local:ProfileInfoControl />
        </controls:FlipGroupPanel.BackContents>
    </controls:FlipGroupPanel>
</UserControl>
